## ros-one-rviz-python-tutorial 0.11.0-6jammy.20251027.2131

=== debian/changelog ===
ros-one-rviz-python-tutorial (0.11.0-6jammy.20251027.2131) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Oct 2025 21:31:25 +0000

ros-one-rviz-python-tutorial (0.11.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.4-0jammy) jammy; urgency=high

  * Updated RViz import (#60 <https://github.com/ros-visualization/visualization_tutorials/issues/60>)
  * Updated to use ``catkin_install_python()`` (#59 <https://github.com/ros-visualization/visualization_tutorials/issues/59>)
  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.3-0jammy) jammy; urgency=high

  * Fixed QWidget not defined bug in rviz_python_tutorial (#41 <https://github.com/ros-visualization/visualization_tutorials/issues/41>)
  * Contributors: Zihan Chen

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-rviz-python-tutorial (0.9.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-rviz-python-tutorial (0.9.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-rviz-python-tutorial (0.9.0-0jammy) jammy; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000

## ros-one-rviz-python-tutorial 0.11.0-6jammy.20260302.2134

=== debian/changelog ===
ros-one-rviz-python-tutorial (0.11.0-6jammy.20260302.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Mar 2026 21:34:58 +0000

## ros-one-rviz-python-tutorial 0.11.0-6noble.20251027.2151

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rviz_python_tutorial)
find_package(catkin REQUIRED COMPONENTS rviz)
catkin_package()

## Install rules

install(FILES
  config.myviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

catkin_install_python(PROGRAMS myviz.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-rviz-python-tutorial (0.11.0-6noble.20251027.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Oct 2025 21:51:30 +0000

ros-one-rviz-python-tutorial (0.11.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.4-0noble) noble; urgency=high

  * Updated RViz import (#60 <https://github.com/ros-visualization/visualization_tutorials/issues/60>)
  * Updated to use ``catkin_install_python()`` (#59 <https://github.com/ros-visualization/visualization_tutorials/issues/59>)
  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.3-0noble) noble; urgency=high

  * Fixed QWidget not defined bug in rviz_python_tutorial (#41 <https://github.com/ros-visualization/visualization_tutorials/issues/41>)
  * Contributors: Zihan Chen

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-rviz-python-tutorial (0.10.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-rviz-python-tutorial (0.9.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-rviz-python-tutorial (0.9.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-rviz-python-tutorial (0.9.0-0noble) noble; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-rviz-python-tutorial
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-rviz
Homepage: http://ros.org/wiki/rviz_python_tutorial
Standards-Version: 3.9.2

Package: ros-one-rviz-python-tutorial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-rviz
Description: Tutorials showing how to call into rviz internals from python scripts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rviz-python-tutorial//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rviz-python-tutorial 0.11.0-6noble.20260302.2148

=== debian/changelog ===
ros-one-rviz-python-tutorial (0.11.0-6noble.20260302.2148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Mar 2026 21:48:08 +0000
